<template>
  <dashboard-layout title="User">
    <div class="container-fluid px-2" style="margin: 50px 0;">
      <div class="row">
        <div class="col-sm-12 mx-auto mb-4">
          <h3 class="text-left mb-3 label-title">Liste des utilisateurs</h3>
          <div class="card card-users rounded shadow-sm web-only">
            <div class="web-only">
              <div class="card-header">
                <ul class="nav nav-pills">
                  <li class="nav-item" v-if="admin">
                    <router-link class="nav-link nav-min" :to="'/users/agence'">Agences</router-link>
                  </li>
                  <li class="nav-item" v-if="admin">
                    <router-link class="nav-link nav-min" :to="'/users/client'">Clients</router-link>
                  </li>
                  <li class="nav-item" v-if="admin">
                    <router-link class="nav-link nav-min" :to="'/users/admin'">Administrateurs</router-link>
                  </li>
                </ul>
              </div>
              <div class="card-body">
                <router-view></router-view>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </dashboard-layout>
</template>

<script>
export default {
  data() {
    return {
      role: "",
      connected: false,
      admin: false,
      userclient: false,
    };
  },
  mounted() {
    if (localStorage.getItem("token")) {
      this.connected = true;
      this.role = localStorage.getItem("adminRole");
      switch (this.role) {
        case "admin":
          this.admin = true;
          break;
        case "client":
          this.userclient = true;
          break;
      }
    }
  },
  methods: {},
};
</script>
